Subject: linux-next: manual merge of the block tree with the vfs tree

From: Stephen Rothwell <[email-masked]>
Date: Mon, 28 Nov 2022 11:20:34 +1100

Hi all,

Today's linux-next merge of the block tree got a conflict in:

  io_uring/net.c

between commit:

  de4eda9de2d9 ("use less confusing names for iov_iter direction initializers")

from the vfs tree and commit:

  42385b02baad ("io_uring/net: move mm accounting to a slower path")

from the block tree.

I fixed it up (see below) and can carry the fix as necessary. This
is now fixed as far as linux-next is concerned, but any non trivial
conflicts should be mentioned to your upstream maintainer when your tree
is submitted for merging.  You may also want to consider cooperating
with the maintainer of the conflicting tree to minimise any particularly
complex conflicts.

-- 
Cheers,
Stephen Rothwell

diff --cc io_uring/net.c
index 2818aeefea42,90342dcb6b1d..000000000000
--- a/io_uring/net.c
+++ b/io_uring/net.c
@@@ -1087,7 -1095,8 +1095,8 @@@ int io_send_zc(struct io_kiocb *req, un
  			return ret;
  		msg.sg_from_iter = io_sg_from_iter;
  	} else {
+ 		io_notif_set_extended(zc->notif);
 -		ret = import_single_range(WRITE, zc->buf, zc->len, &iov,
 +		ret = import_single_range(ITER_SOURCE, zc->buf, zc->len, &iov,
  					  &msg.msg_iter);
  		if (unlikely(ret))
  			return ret;